/*******************************************************************************
 * FoxAIAction_Selection generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxAIAction_Selection extends FoxAIHierarchicalAbility
    native(AI)
    editinlinenew
    hidecategories(Object);

var transient string AbilityNameToExecute;

// Export UFoxAIAction_Selection::execChooseNextAbility(FFrame&, void* const)
native function FoxAIHierarchicalAbility ChooseNextAbility(const FoxAIHierarchicalAbility PreviousAbility);

// Export UFoxAIAction_Selection::execProcessBehaviorEvent(FFrame&, void* const)
native function bool ProcessBehaviorEvent(string EventName, optional Actor EventInstigator, optional Actor EventRecipient, optional Vector EventLocation);

defaultproperties
{
    AbilityNameToExecute="None"
}